Bug Hunting Session
Bug 53938 - EDITING: CRASH when updating a pivot table if source database not available
Summary: EDITING: CRASH when updating a pivot table if source database not available
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.1.1 rc
Hardware: Other All
: medium major
Assignee: Kohei Yoshida
URL:
Whiteboard: target:3.7.0 target:3.6.2
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-22 14:38 UTC by Rainer Bielefeld Retired
Modified: 2012-08-31 06:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-08-22 14:38:31 UTC
Steps how to reproduce  with "LibreOffice 3.6.1.1  German UI/Locale [Build-ID:  4db6344] on German WIN7 Home Premium (64bit):

0. download / unzip Attachment 65689 [details] of "53640 - Pivot Table form
   Datasource (Base, Query) is BROKEN"
1. Open "TRainings-2012.ods" by double click from WIN File Explorer
2. Right click E7 for context menu -> Update
   > Error message similar "data source not available" appears
3. <ok>
   Bug: Crash

Also crashes with  parallel installation of Master "LOdev  3.7.0.0.alpha0+   - WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 6900781]" (tinderbox: 2008R2@20, pull time 2012-08-14 09:27:23)

Sounds similar to "Bug 37458 - Crash when updating a pivot table if source data not available", what has been fixed for 3.4.1?

@rado:
Can you confirm this problem
Comment 1 Rainer Bielefeld Retired 2012-08-22 14:47:22 UTC
Already [Reproducible] with 
- Server Installation of  "LibreOffice 3.6.0.4  German UI/Locale [Build-ID:  932b512] on German WIN7 Home Premium (64bit) 
-  Server Installation of  "LibreOffice 3.6.0.2 rc  German UI/Locale [Build-ID:  815c576] on German WIN7 Home Premium (64bit) 

No crash 
-  with Server Installation of  "LibreOffice 3.6.0.0.beta2  German UI/Locale [Build-ID: f010139] on German WIN7 Home Premium (64bit) 
- with Server installation of Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 7175cee]" (tinderbox: Win-x86@6-fast, pull time 2012-05-16 22:07:37)
Comment 2 Kohei Yoshida 2012-08-30 12:44:22 UTC
Reproduced on master.
Comment 3 Not Assigned 2012-08-30 14:41:18 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=286ce144981aaa426622624302e296588abab1c2

fdo#53938: Check for null pointer.
Comment 4 Not Assigned 2012-08-30 14:47:14 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6ad86f8cc036d01702e9d491874b2b3bde23fe77

fdo#53938: Don't proceed when error occurs.
Comment 5 Not Assigned 2012-08-30 15:22:11 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c3148ae81b8458624b7ee829d34629dea29f8cdf&g=libreoffice-3-6

fdo#53938: Check for null pointer, and don't proceed when error occurs.


It will be available in LibreOffice 3.6.2.